Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.groovydoc
[Java] Class SimpleGroovyClassDoc

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc
          org.codehaus.groovy.tools.groovydoc.SimpleGroovyProgramElementDoc
              org.codehaus.groovy.tools.groovydoc.SimpleGroovyAbstractableElementDoc
                  org.codehaus.groovy.tools.groovydoc.SimpleGroovyClassDoc

All Implemented Interfaces:
  GroovyClassDoc

    public class SimpleGroovyClassDoc
    extends SimpleGroovyAbstractableElementDoc

Field Summary
`static Pattern` | `CODE_REGEX`
`static Pattern` | `LINK_REGEX`
`static Pattern` | `NAME_ARGS_REGEX`
`static Pattern` | `REF_LABEL_REGEX`
`static Pattern` | `SPLIT_ARGS_REGEX`
`static Pattern` | `TAG_REGEX`

Constructor Summary
`SimpleGroovyClassDoc(List importedClassesAndPackages, String name, List links)`
`SimpleGroovyClassDoc(List importedClassesAndPackages, String name)`

Method Summary
`boolean` | `add(GroovyConstructorDoc constructor)`
`boolean` | `add(GroovyFieldDoc field)`
`boolean` | `add(GroovyMethodDoc method)`
`boolean` | `addEnumConstant(GroovyFieldDoc field)`
`void` | `addInterfaceName(String className)`
`boolean` | `addNested(GroovyClassDoc nestedClass)`
`boolean` | `addProperty(GroovyFieldDoc property)`
`String` | `commentText()`
`GroovyConstructorDoc[]` | `constructors()` returns a sorted array of constructors
`GroovyConstructorDoc[]` | `constructors(boolean filter)`
`static String` | `decodeSpecialSymbols(String text)`
`boolean` | `definesSerializableFields()`
`static String` | `encodeSpecialSymbols(String text)`
`GroovyFieldDoc[]` | `enumConstants()` returns a sorted array of enum constants
`GroovyFieldDoc[]` | `fields()` returns a sorted array of fields
`GroovyFieldDoc[]` | `fields(boolean filter)`
`GroovyClassDoc` | `findClass(String className)`
`String` | `firstSentenceCommentText()`
`String` | `getDocUrl(String type)`
`String` | `getDocUrl(String type, boolean full)`
`static String` | `getDocUrl(String type, boolean full, List links, String relativePath, GroovyRootDoc rootDoc, SimpleGroovyClassDoc classDoc)`
`String` | `getFullPathName()`
`GroovyClassDoc` | `getOuter()`
`List` | `getParentClasses()`
`Set` | `getParentInterfaces()`
`String` | `getRelativeRootPath()`
`String` | `getSuperClassName()`
`GroovyClassDoc[]` | `importedClasses()`
`GroovyPackageDoc[]` | `importedPackages()`
`GroovyClassDoc[]` | `innerClasses()` returns a sorted array of nested classes and interfaces
`GroovyClassDoc[]` | `innerClasses(boolean filter)`
`GroovyType[]` | `interfaceTypes()`
`GroovyClassDoc[]` | `interfaces()`
`boolean` | `isExternalizable()`
`boolean` | `isGroovy()`
`boolean` | `isPrimitive()`
`boolean` | `isSerializable()`
`GroovyMethodDoc[]` | `methods()` returns a sorted array of methods
`GroovyMethodDoc[]` | `methods(boolean filter)`
`GroovyFieldDoc[]` | `properties()` returns a sorted array of properties
`String` | `qualifiedTypeName()`
`String` | `replaceAllTags(String self, String s1, String s2, Pattern regex)`
`String` | `replaceAllTagsCollated(String self, String preKey, String postKey, String valueSeparator, String postValues, Pattern regex)`
`String` | `replaceTags(String comment)`
`GroovyFieldDoc[]` | `serializableFields()`
`GroovyMethodDoc[]` | `serializationMethods()`
`void` | `setFullPathName(String fullPathName)`
`void` | `setGroovy(boolean isgroovy)`
`void` | `setOuter(GroovyClassDoc outer)`
`void` | `setSuperClass(GroovyClassDoc doc)`
`void` | `setSuperClassName(String className)`
`String` | `simpleTypeName()`
`boolean` | `subclassOf(GroovyClassDoc gcd)`
`GroovyClassDoc` | `superclass()`
`GroovyType` | `superclassType()`
`String` | `typeName()`

Methods inherited from class SimpleGroovyAbstractableElementDoc
isAbstract, setAbstract

Methods inherited from class SimpleGroovyProgramElementDoc
addAnnotationRef, annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifierSpecifier, modifiers, qualifiedName, setContainingPackage, setFinal, setPackagePrivate, setPrivate, setProtected, setPublic, setStatic

Methods inherited from class SimpleGroovyDoc
calculateFirstSentence, commentText, compareTo, firstSentenceCommentText, getRawCommentText, getTypeDescription, getTypeSourceDescription, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, isScript, name, setCommentText, setDeprecated, setFirstSentenceCommentText, setRawCommentText, setScript, setTokenType, tags, toString, tokenType

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### CODE_REGEX

    public static final Pattern CODE_REGEX

### LINK_REGEX

    public static final Pattern LINK_REGEX

### NAME_ARGS_REGEX

    public static final Pattern NAME_ARGS_REGEX

### REF_LABEL_REGEX

    public static final Pattern REF_LABEL_REGEX

### SPLIT_ARGS_REGEX

    public static final Pattern SPLIT_ARGS_REGEX

### TAG_REGEX

    public static final Pattern TAG_REGEX

Constructor Detail

### SimpleGroovyClassDoc

    public SimpleGroovyClassDoc(List importedClassesAndPackages, String name, List links)

### SimpleGroovyClassDoc

    public SimpleGroovyClassDoc(List importedClassesAndPackages, String name)

Method Detail

### add

    public boolean add(GroovyConstructorDoc constructor)

### add

    public boolean add(GroovyFieldDoc field)

### add

    public boolean add(GroovyMethodDoc method)

### addEnumConstant

    public boolean addEnumConstant(GroovyFieldDoc field)

### addInterfaceName

    public void addInterfaceName(String className)

### addNested

    public boolean addNested(GroovyClassDoc nestedClass)

### addProperty

    public boolean addProperty(GroovyFieldDoc property)

### commentText

    public String commentText()

### constructors

    public GroovyConstructorDoc[] constructors()

  returns a sorted array of constructors

### constructors

    public GroovyConstructorDoc[] constructors(boolean filter)

### decodeSpecialSymbols

    public static String decodeSpecialSymbols(String text)

### definesSerializableFields

    public boolean definesSerializableFields()

### encodeSpecialSymbols

    public static String encodeSpecialSymbols(String text)

### enumConstants

    public GroovyFieldDoc[] enumConstants()

  returns a sorted array of enum constants

### fields

    public GroovyFieldDoc[] fields()

  returns a sorted array of fields

### fields

    public GroovyFieldDoc[] fields(boolean filter)

### findClass

    public GroovyClassDoc findClass(String className)

### firstSentenceCommentText

    public String firstSentenceCommentText()

### getDocUrl

    public String getDocUrl(String type)

### getDocUrl

    public String getDocUrl(String type, boolean full)

### getDocUrl

    public static String getDocUrl(String type, boolean full, List links, String relativePath, GroovyRootDoc rootDoc, SimpleGroovyClassDoc classDoc)

### getFullPathName

    public String getFullPathName()

### getOuter

    public GroovyClassDoc getOuter()

### getParentClasses

    public List getParentClasses()

### getParentInterfaces

    public Set getParentInterfaces()

### getRelativeRootPath

    public String getRelativeRootPath()

### getSuperClassName

    public String getSuperClassName()

### importedClasses

    public GroovyClassDoc[] importedClasses()

### importedPackages

    public GroovyPackageDoc[] importedPackages()

### innerClasses

    public GroovyClassDoc[] innerClasses()

  returns a sorted array of nested classes and interfaces

### innerClasses

    public GroovyClassDoc[] innerClasses(boolean filter)

### interfaceTypes

    public GroovyType[] interfaceTypes()

### interfaces

    public GroovyClassDoc[] interfaces()

### isExternalizable

    public boolean isExternalizable()

### isGroovy

    public boolean isGroovy()

### isPrimitive

    public boolean isPrimitive()

### isSerializable

    public boolean isSerializable()

### methods

    public GroovyMethodDoc[] methods()

  returns a sorted array of methods

### methods

    public GroovyMethodDoc[] methods(boolean filter)

### properties

    public GroovyFieldDoc[] properties()

  returns a sorted array of properties

### qualifiedTypeName

    public String qualifiedTypeName()

### replaceAllTags

    public String replaceAllTags(String self, String s1, String s2, Pattern regex)

### replaceAllTagsCollated

    public String replaceAllTagsCollated(String self, String preKey, String postKey, String valueSeparator, String postValues, Pattern regex)

### replaceTags

    public String replaceTags(String comment)

### serializableFields

    public GroovyFieldDoc[] serializableFields()

### serializationMethods

    public GroovyMethodDoc[] serializationMethods()

### setFullPathName

    public void setFullPathName(String fullPathName)

### setGroovy

    public void setGroovy(boolean isgroovy)

### setOuter

    public void setOuter(GroovyClassDoc outer)

### setSuperClass

    public void setSuperClass(GroovyClassDoc doc)

### setSuperClassName

    public void setSuperClassName(String className)

### simpleTypeName

    public String simpleTypeName()

### subclassOf

    public boolean subclassOf(GroovyClassDoc gcd)

### superclass

    public GroovyClassDoc superclass()

### superclassType

    public GroovyType superclassType()

### typeName

    public String typeName()

Copyright © 2003-2010 The Codehaus. All rights reserved.